Author ned.deily
Recipients gpolo, ned.deily, serhiy.storchaka, terry.reedy
Date 2014-02-16.00:17:23
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1392509844.14.0.69723157623.issue20635@psf.upfronthosting.co.za>
In-reply-to
Content
On OS X 10.9 with Cocoa Tk 8.15.0+, Cocoa Tk 8.6, and X11 Tk 8.6:

======================================================================
FAIL: test_place_forget (tkinter.test.test_tkinter.test_geometry_managers.PlaceTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 440, in test_place_forget
    self.assertTrue(foo.winfo_ismapped())
AssertionError: 0 is not true

----------------------------------------------------------------------

With OS X Carbon Tk 8.4, the grid_anchor and grid_configure tests fail:

======================================================================
ERROR: test_grid_anchor (tkinter.test.test_tkinter.test_geometry_managers.GridTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 489, in tearDown
    self.root.grid_anchor('nw')
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/__init__.py", line 1321, in grid_anchor
    self.tk.call('grid', 'anchor', self._w, anchor)
_tkinter.TclError: bad option "anchor": must be bbox, columnconfigure, configure, forget, info, location, propagate, remove, rowconfigure, size, or slaves

======================================================================
ERROR: test_grid_columnconfigure (tkinter.test.test_tkinter.test_geometry_managers.GridTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 617, in test_grid_columnconfigure
    self.root.grid_columnconfigure('all', weight=3)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/__init__.py", line 1389, in grid_columnconfigure
    return self._grid_configure('columnconfigure', index, cnf, kw)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/__init__.py", line 1379, in _grid_configure
    + options)
_tkinter.TclError: expected integer but got "all"

... along with:

======================================================================
ERROR: test_grid_rowconfigure (tkinter.test.test_tkinter.test_geometry_managers.GridTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 671, in test_grid_rowconfigure
    self.root.grid_rowconfigure('all', weight=3)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/__init__.py", line 1416, in grid_rowconfigure
    return self._grid_configure('rowconfigure', index, cnf, kw)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/__init__.py", line 1379, in _grid_configure
    + options)
_tkinter.TclError: expected integer but got "all"

======================================================================
FAIL: test_place_configure_in (tkinter.test.test_tkinter.test_geometry_managers.PlaceTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 294, in test_place_configure_in
    self.assertEqual(f2.winfo_manager(), '')
AssertionError: 'place' != ''
- place
+


======================================================================
FAIL: test_place_forget (tkinter.test.test_tkinter.test_geometry_managers.PlaceTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 440, in test_place_forget
    self.assertTrue(foo.winfo_ismapped())
AssertionError: 0 is not true

======================================================================
FAIL: test_grid_configure_row (tkinter.test.test_tkinter.test_geometry_managers.GridTest)
----------------------------------------------------------------------
_tkinter.TclError: bad grid value "-1": must be a non-negative integer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.4/lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py", line 583, in test_grid_configure_row
    b.grid_configure(row=-1)
AssertionError: "bad row value "-1": must be a non-negative integer" does not match "bad grid value "-1": must be a non-negative integer"

----------------------------------------------------------------------
Ran 597 tests in 4.270s

FAILED (failures=4, errors=32, skipped=16)
History
Date User Action Args
2014-02-16 00:17:24ned.deilysetrecipients: + ned.deily, terry.reedy, gpolo, serhiy.storchaka
2014-02-16 00:17:24ned.deilysetmessageid: <1392509844.14.0.69723157623.issue20635@psf.upfronthosting.co.za>
2014-02-16 00:17:24ned.deilylinkissue20635 messages
2014-02-16 00:17:23ned.deilycreate